/*
Author: Neil Spencer
Purpose: Task 4.3
*/

LIBNAME abcxyz 'a:\data';
LIBNAME library 'a:\formats';

PROC FORMAT LIBRARY=library.formats;
VALUE grouplab 1='Less than 8 years experience'
  2='8 years or more experience';

DATA gloves;
SET abcxyz.gloves;
IF experience >= 8 THEN group=2;
  ELSE group=1;
LABEL group='Experience group';
FORMAT group grouplab.;

PROC PRINT DATA=gloves;

RUN;
