/*
Author: Neil Spencer
Purpose: Task 5.1
*/

LIBNAME abcxyz 'a:\data';
LIBNAME library 'a:\formats';

DATA glovesonerow;
INFILE 'a:\data\glovesonerow.dat' TRUNCOVER;
INPUT nurse 1-5 obs1 6-9 obs2 10-13 obs3 14-17 obs4 18-21
  use1 22-25 use2 26-29 use3 30-33 use4 34-37 experience 38-41;

DATA abcxyz.glovessplit;
SET glovesonerow;

ARRAY obs[4] obs1-obs4;
ARRAY use[4] use1-use4;
DO I=1 TO 4;
  period=i;
  observed=obs[i];
  gloveuse=use[i];
  OUTPUT;
END;

DROP obs1-obs4 use1-use4 i;

PROC PRINT DATA=abcxyz.glovessplit;

RUN;
