/*
Author: Neil Spencer
Creation Date: ??/??/??
Revision 1 Date: ??/??/??
Purpose: Program 3.1.1
*/

LIBNAME abcxyz 'a:\data';
LIBNAME library 'a:\formats';

PROC FORMAT LIBRARY=library.formats;
VALUE mtblab 0='No MTB' 1='MTB present';
VALUE fatlab 0='No FAT' 1='FAT present';

DATA abcxyz.tnfdata;
INFILE 'a:\data\tnfdata.dat' TRUNCOVER;
INPUT mtb 1 fat 2 donor 3-4 rep1 5-10 rep2 11-16 rep3 17-22;
LABEL rep1='1st replicate';
LABEL rep2='2nd replicate';
LABEL rep3='3rd replicate';
LABEL mtb='MTB presence';
LABEL fat='FAT presence';
tnfaver=(rep1+rep2+rep3)/3;
LABEL tnfaver='average TNF';
FORMAT mtb mtblab.; FORMAT fat fatlab.;

RUN;
