/*
Author: Neil Spencer
Purpose: Task 2.1
*/

PROC FORMAT;
VALUE perlab 1='Before program' 2='1 month after'
  3='2 months after' 4='5 months after';

DATA GLOVES;
INFILE 'a:\data\gloves.dat' TRUNCOVER;
INPUT nurse 1-2 period 3 observed 4-5 gloveuse 6-7 experience 8-9;
LABEL nurse='Nurse';
LABEL period='Observation period';
LABEL observed='Number of observations';
LABEL gloveuse='Number of times gloves used';
LABEL experience='Years experience';
FORMAT period perlab.;
prop=gloveuse/observed;
LABEL prop='Proportion of times gloves used';

PROC PRINT DATA=gloves;

RUN;
