/*
Author: Neil Spencer
Purpose: Task 3.3
*/

LIBNAME abcxyz 'a:\data';
LIBNAME library 'a:\formats';

PROC REPORT DATA=abcxyz.gloves;
COLUMN nurse period observed gloveuse prop experience;
TITLE 'Glove Use Data';
DEFINE nurse / ORDER WIDTH=6 'Nurse Number' F=2.0;
DEFINE period / ORDER WIDTH=6 'Period' F=1.0;
DEFINE observed / WIDTH=6 'Number of time observed' F=2.0;
DEFINE gloveuse / WIDTH=6 'Number of glove uses' F=2.0;
DEFINE prop / WIDTH=12 'Proportion of times gloves used' F=5.3;
DEFINE experience / WIDTH=6 'Years experience' F=2.0;

RUN;
