/*
Author: Neil Spencer
Purpose: Task 4.1
*/

LIBNAME library 'a:\formats';

DATA glovesobs;
INFILE 'a:\data\glovesobs.dat' TRUNCOVER;
INPUT nurse 1-2 period 3 observed 4-5 gloveuse 6-7;
LABEL nurse='Nurse';
LABEL period='Observation period';
LABEL observed='Number of observations';
LABEL gloveuse='Number of times gloves used';
FORMAT period perlab.;

DATA glovesexp;
INFILE 'a:\data\glovesexp.dat' TRUNCOVER;
INPUT nurse 1-2 experience 3-4;
LABEL nurse='Nurse';
LABEL experience='Years experience';

PROC SORT DATA=glovesobs;
BY nurse;

PROC SORT DATA=glovesexp;
BY nurse;

DATA gloves;
MERGE glovesobs glovesexp;
BY nurse;

PROC PRINT DATA=gloves;

RUN;
