/*
Author: Neil Spencer
Purpose: Task 5.2
*/

LIBNAME abcxyz 'a:\data';
LIBNAME library 'a:\formats';

DATA gloves;
SET abcxyz.glovessplit;

PROC SORT DATA=gloves;
BY nurse period;

DATA glovesonerow;
SET gloves;
BY nurse period;

ARRAY obs[4] obs1-obs4;
ARRAY use[4] use1-use4;
RETAIN obs1-obs4 use1-use4;
obs[period]=observed;
use[period]=gloveuse;
IF LAST.nurse THEN OUTPUT;

DROP period observed gloveuse;

PROC PRINT DATA=glovesonerow;

RUN;
